#ifndef _RESOURCE_FILE_H
#define _RESOURCE_FILE_H

#include <map>
#include <string>

class RESOURCE_FILE {
  // 
  // Class for representing resource files.
  //

  map<string,string> rcmap;
  map<int,string> rc_comments;

  string res_file;
  bool changed_rep;
  bool use_equal_sign;
  int loaded_resource_values;

 public:

  bool is_modified(void) { return(changed_rep); }

  void load(void);
  void save(void);

  const string& get_resource_file(void) { return(res_file); }
  void set_resource_file(const string& file) { res_file = file; }

  string resource(const string& tag);
  void resource(const string& tag, const string& value);

  RESOURCE_FILE(void) : changed_rep(false), use_equal_sign(false) { }
  ~RESOURCE_FILE(void);
};

#endif




